Package com.sun.mail.imap.protocol

## Class Status

- java.lang.Object
- - com.sun.mail.imap.protocol.Status

    public class Status
    extends java.lang.Object

STATUS response.

Author:
  John Mani, Bill Shannon

### Field Summary

Fields
`long` `highestmodseq`
`java.util.Map<java.lang.String,​java.lang.Long>` `items`
`java.lang.String` `mbox`
`int` `recent`
`int` `total`
`long` `uidnext`
`long` `uidvalidity`
`int` `unseen`

### Constructor Summary

Constructors
`Status​(Response r)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `add​(Status s1, Status s2)`
`long` `getItem​(java.lang.String item)` Get the value for the STATUS item.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mbox

    public java.lang.String mbox

#### total

    public int total

#### recent

    public int recent

#### uidnext

    public long uidnext

#### uidvalidity

    public long uidvalidity

#### unseen

    public int unseen

#### highestmodseq

    public long highestmodseq

#### items

    public java.util.Map<java.lang.String,​java.lang.Long> items

### Constructor Detail

#### Status

    public Status​(Response r)
           throws ParsingException

Throws:
  `ParsingException`

### Method Detail

#### getItem

    public long getItem​(java.lang.String item)

Get the value for the STATUS item.

Parameters:
  `item` - the STATUS item
Returns:
  the value
Since:
  JavaMail 1.5.2

#### add

    public static void add​(Status s1,
                           Status s2)